
// include module header
#include "thelibrary.h"

#include <cstdio>

bool isAlive () {
	return true;
}

void initTheStruct (TheStruct &s) {
	snprintf(s.name, sizeof(s.name), "I'm TheStruct!");
	s.value = 19191;
}

void printTheStruct (const TheStruct &s) {
	printf("---------- begin TheStruct -------------\n");
	printf("name = %s\n", s.name);
	printf("value = %d\n", s.value);
	printf("---------- end TheStruct -------------\n");
}

void com_print1 () {
	printf("--> 1\n");
}

void com_print2 () {
	printf("--> 2\n");
}

void com_print3 () {
	printf("--> 3\n");
}

TheStruct* newStruct (const char* name) {
	static int COUNT = 1000;
	TheStruct* result;

	printf("in newStruct\n");

	result = new(TheStruct);
	snprintf(result->name, sizeof(result->name), name);
	result->value = COUNT;
	COUNT++;

	printf("filling result with [%s] and [%d]\n", result->name, result->value);

	return result;
}

void struct_OnClick (TheStruct* s, int x, int y) {
	printf("event-click: %s[%d] at (%d,%d)", s->name, s->value, x, y);
}
