/* test file */

#pragma once

#ifndef _THE_LIBRARY_H
#define _THE_LIBRARY_H

#include <string>
using namespace std;

class TheBase {
public:
	TheBase (string aName) { _Name = aName; }
	virtual ~TheBase () {}

	int magic () { return 12345; }
	string name () { return _Name; }
	void setName (string aName) { _Name = aName; }
private:
	// internal fields
	string _Name;
};

struct TheStruct {
	char name[32];
	int value;
};

TheStruct* newStruct (const char* name);
void struct_OnClick (TheStruct* s, int x, int y);

bool isAlive ();
void initTheStruct (TheStruct &s);
void printTheStruct (const TheStruct &s);

void com_print1();
void com_print2();
void com_print3();

#endif // _THE_LIBRARY_H
