%module thelibrary

%include "std_string.i"
using namespace std;

// include thelibrary class
%{
#include "thelibrary.h"
%}

class TheBase {
public:
	TheBase (string aName);
	virtual ~TheBase ();

	int magic ();
	string name ();
	void setName (string aName);
};

struct TheStruct {
};

TheStruct* newStruct (const char* name);
void struct_OnClick (TheStruct* s, int x, int y);

bool isAlive ();
void initTheStruct(TheStruct &s);
void printTheStruct (const TheStruct &s);

%rename(print1) com_print1();
void com_print1();
%rename(print2) com_print2();
void com_print2();
%rename(print3) com_print3();
void com_print3();
